OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.FragmentProgram

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBFragmentProgram :: MonadIO m => m Bool
- gl_ARB_fragment_program :: Bool
- pattern GL_CURRENT_MATRIX_ARB :: GLenum
- pattern GL_CURRENT_MATRIX_STACK_DEPTH_ARB :: GLenum
- pattern GL_FRAGMENT_PROGRAM_ARB :: GLenum
- pattern GL_MATRIX0_ARB :: GLenum
- pattern GL_MATRIX10_ARB :: GLenum
- pattern GL_MATRIX11_ARB :: GLenum
- pattern GL_MATRIX12_ARB :: GLenum
- pattern GL_MATRIX13_ARB :: GLenum
- pattern GL_MATRIX14_ARB :: GLenum
- pattern GL_MATRIX15_ARB :: GLenum
- pattern GL_MATRIX16_ARB :: GLenum
- pattern GL_MATRIX17_ARB :: GLenum
- pattern GL_MATRIX18_ARB :: GLenum
- pattern GL_MATRIX19_ARB :: GLenum
- pattern GL_MATRIX1_ARB :: GLenum
- pattern GL_MATRIX20_ARB :: GLenum
- pattern GL_MATRIX21_ARB :: GLenum
- pattern GL_MATRIX22_ARB :: GLenum
- pattern GL_MATRIX23_ARB :: GLenum
- pattern GL_MATRIX24_ARB :: GLenum
- pattern GL_MATRIX25_ARB :: GLenum
- pattern GL_MATRIX26_ARB :: GLenum
- pattern GL_MATRIX27_ARB :: GLenum
- pattern GL_MATRIX28_ARB :: GLenum
- pattern GL_MATRIX29_ARB :: GLenum
- pattern GL_MATRIX2_ARB :: GLenum
- pattern GL_MATRIX30_ARB :: GLenum
- pattern GL_MATRIX31_ARB :: GLenum
- pattern GL_MATRIX3_ARB :: GLenum
- pattern GL_MATRIX4_ARB :: GLenum
- pattern GL_MATRIX5_ARB :: GLenum
- pattern GL_MATRIX6_ARB :: GLenum
- pattern GL_MATRIX7_ARB :: GLenum
- pattern GL_MATRIX8_ARB :: GLenum
- pattern GL_MATRIX9_ARB :: GLenum
- pattern GL_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_ATTRIBS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_ENV_PARAMETERS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_INSTRUCTIONS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_MATRICES_ARB :: GLenum
- pattern GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB :: GLenum
- pattern GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB :: GLenum
- pattern GL_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_PARAMETERS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_TEMPORARIES_ARB :: GLenum
- pattern GL_MAX_PROGRAM_TEX_INDIRECTIONS_ARB :: GLenum
- pattern GL_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB :: GLenum
- pattern GL_MAX_TEXTURE_COORDS_ARB :: GLenum
- pattern GL_MAX_TEXTURE_IMAGE_UNITS_ARB :: GLenum
- pattern GL_PROGRAM_ALU_INSTRUCTIONS_ARB :: GLenum
- pattern GL_PROGRAM_ATTRIBS_ARB :: GLenum
- pattern GL_PROGRAM_BINDING_ARB :: GLenum
- pattern GL_PROGRAM_ERROR_POSITION_ARB :: GLenum
- pattern GL_PROGRAM_ERROR_STRING_ARB :: GLenum
- pattern GL_PROGRAM_FORMAT_ARB :: GLenum
- pattern GL_PROGRAM_FORMAT_ASCII_ARB :: GLenum
- pattern GL_PROGRAM_INSTRUCTIONS_ARB :: GLenum
- pattern GL_PROGRAM_LENGTH_ARB :: GLenum
- pattern GL_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB :: GLenum
- pattern GL_PROGRAM_NATIVE_ATTRIBS_ARB :: GLenum
- pattern GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB :: GLenum
- pattern GL_PROGRAM_NATIVE_PARAMETERS_ARB :: GLenum
- pattern GL_PROGRAM_NATIVE_TEMPORARIES_ARB :: GLenum
- pattern GL_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB :: GLenum
- pattern GL_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB :: GLenum
- pattern GL_PROGRAM_PARAMETERS_ARB :: GLenum
- pattern GL_PROGRAM_STRING_ARB :: GLenum
- pattern GL_PROGRAM_TEMPORARIES_ARB :: GLenum
- pattern GL_PROGRAM_TEX_INDIRECTIONS_ARB :: GLenum
- pattern GL_PROGRAM_TEX_INSTRUCTIONS_ARB :: GLenum
- pattern GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB :: GLenum
- pattern GL_TRANSPOSE_CURRENT_MATRIX_ARB :: GLenum
- glBindProgramARB :: MonadIO m => GLenum -> GLuint -> m ()
- glDeleteProgramsARB :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenProgramsARB :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetProgramEnvParameterdvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glGetProgramEnvParameterfvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glGetProgramLocalParameterdvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glGetProgramLocalParameterfvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glGetProgramStringARB :: MonadIO m => GLenum -> GLenum -> Ptr a -> m ()
- glGetProgramivARB :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glIsProgramARB :: MonadIO m => GLuint -> m GLboolean
- glProgramEnvParameter4dARB :: MonadIO m => GLenum -> GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramEnvParameter4dvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glProgramEnvParameter4fARB :: MonadIO m => GLenum -> GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramEnvParameter4fvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glProgramLocalParameter4dARB :: MonadIO m => GLenum -> GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramLocalParameter4dvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glProgramLocalParameter4fARB :: MonadIO m => GLenum -> GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramLocalParameter4fvARB :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glProgramStringARB :: MonadIO m => GLenum -> GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetARBFragmentProgram :: MonadIO m => m Bool Source #

Is the ARB_fragment_program extension supported?

gl_ARB_fragment_program :: Bool Source #

Is the ARB_fragment_program extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBFragmentProgram` in those cases instead.

# Enums

pattern GL_CURRENT_MATRIX_ARB :: GLenum Source #

pattern GL_CURRENT_MATRIX_STACK_DEPTH_ARB :: GLenum Source #

pattern GL_FRAGMENT_PROGRAM_ARB :: GLenum Source #

pattern GL_MATRIX0_ARB :: GLenum Source #

pattern GL_MATRIX10_ARB :: GLenum Source #

pattern GL_MATRIX11_ARB :: GLenum Source #

pattern GL_MATRIX12_ARB :: GLenum Source #

pattern GL_MATRIX13_ARB :: GLenum Source #

pattern GL_MATRIX14_ARB :: GLenum Source #

pattern GL_MATRIX15_ARB :: GLenum Source #

pattern GL_MATRIX16_ARB :: GLenum Source #

pattern GL_MATRIX17_ARB :: GLenum Source #

pattern GL_MATRIX18_ARB :: GLenum Source #

pattern GL_MATRIX19_ARB :: GLenum Source #

pattern GL_MATRIX1_ARB :: GLenum Source #

pattern GL_MATRIX20_ARB :: GLenum Source #

pattern GL_MATRIX21_ARB :: GLenum Source #

pattern GL_MATRIX22_ARB :: GLenum Source #

pattern GL_MATRIX23_ARB :: GLenum Source #

pattern GL_MATRIX24_ARB :: GLenum Source #

pattern GL_MATRIX25_ARB :: GLenum Source #

pattern GL_MATRIX26_ARB :: GLenum Source #

pattern GL_MATRIX27_ARB :: GLenum Source #

pattern GL_MATRIX28_ARB :: GLenum Source #

pattern GL_MATRIX29_ARB :: GLenum Source #

pattern GL_MATRIX2_ARB :: GLenum Source #

pattern GL_MATRIX30_ARB :: GLenum Source #

pattern GL_MATRIX31_ARB :: GLenum Source #

pattern GL_MATRIX3_ARB :: GLenum Source #

pattern GL_MATRIX4_ARB :: GLenum Source #

pattern GL_MATRIX5_ARB :: GLenum Source #

pattern GL_MATRIX6_ARB :: GLenum Source #

pattern GL_MATRIX7_ARB :: GLenum Source #

pattern GL_MATRIX8_ARB :: GLenum Source #

pattern GL_MATRIX9_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_ATTRIBS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_ENV_PARAMETERS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_MATRICES_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_PARAMETERS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_TEMPORARIES_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_TEX_INDIRECTIONS_ARB :: GLenum Source #

pattern GL_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_MAX_TEXTURE_COORDS_ARB :: GLenum Source #

pattern GL_MAX_TEXTURE_IMAGE_UNITS_ARB :: GLenum Source #

pattern GL_PROGRAM_ALU_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_PROGRAM_ATTRIBS_ARB :: GLenum Source #

pattern GL_PROGRAM_BINDING_ARB :: GLenum Source #

pattern GL_PROGRAM_ERROR_POSITION_ARB :: GLenum Source #

pattern GL_PROGRAM_ERROR_STRING_ARB :: GLenum Source #

pattern GL_PROGRAM_FORMAT_ARB :: GLenum Source #

pattern GL_PROGRAM_FORMAT_ASCII_ARB :: GLenum Source #

pattern GL_PROGRAM_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_PROGRAM_LENGTH_ARB :: GLenum Source #

pattern GL_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_PROGRAM_NATIVE_ATTRIBS_ARB :: GLenum Source #

pattern GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_PROGRAM_NATIVE_PARAMETERS_ARB :: GLenum Source #

pattern GL_PROGRAM_NATIVE_TEMPORARIES_ARB :: GLenum Source #

pattern GL_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB :: GLenum Source #

pattern GL_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_PROGRAM_PARAMETERS_ARB :: GLenum Source #

pattern GL_PROGRAM_STRING_ARB :: GLenum Source #

pattern GL_PROGRAM_TEMPORARIES_ARB :: GLenum Source #

pattern GL_PROGRAM_TEX_INDIRECTIONS_ARB :: GLenum Source #

pattern GL_PROGRAM_TEX_INSTRUCTIONS_ARB :: GLenum Source #

pattern GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB :: GLenum Source #

pattern GL_TRANSPOSE_CURRENT_MATRIX_ARB :: GLenum Source #

# Functions

glBindProgramARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `program`.
-> m () |

glDeleteProgramsARB Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `programs` pointing to `n` elements of type `GLuint`.
-> m () |

glGenProgramsARB Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `programs` pointing to `n` elements of type `GLuint`.
-> m () |

glGetProgramEnvParameterdvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glGetProgramEnvParameterfvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glGetProgramLocalParameterdvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glGetProgramLocalParameterfvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glGetProgramStringARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLenum | `pname` of type ProgramStringProperty.
-> Ptr a | `string` pointing to `COMPSIZE(target,pname)` elements of type `a`.
-> m () |

glGetProgramivARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLenum | `pname` of type ProgramPropertyARB.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |

glIsProgramARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m GLboolean | of type Boolean.

glProgramEnvParameter4dARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

The vector equivalent of this command is `glProgramEnvParameter4dvARB`.

glProgramEnvParameter4dvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glProgramEnvParameter4fARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

The vector equivalent of this command is `glProgramEnvParameter4fvARB`.

glProgramEnvParameter4fvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glProgramLocalParameter4dARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

The vector equivalent of this command is `glProgramLocalParameter4dvARB`.

glProgramLocalParameter4dvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glProgramLocalParameter4fARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

The vector equivalent of this command is `glProgramLocalParameter4fvARB`.

glProgramLocalParameter4fvARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glProgramStringARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLenum | `format` of type ProgramFormat.
-> GLsizei | `len`.
-> Ptr a | `string` pointing to `len` elements of type `a`.
-> m () |